Function
setValidValues
Sets the set of allowed values of a ArgParseArgument object.
setValidValues(argument,values)
Include Headers
seqan/arg_parse.h
Parameters

argument | The ArgParseArgument object. Types: ArgParseArgument
values | A std::vector<std::string> containing all valid entries for the option or a std::string with valid values separated by spaces.

Remarks
If the argument or option is an in- or output file. The valid strings will be interpreted as file endings and the command line parser checks if the provided file has the required file ending.
Member of
ArgParseArgument
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59